#include <mex.h> 
static int direct_gateway(char *fname,void F(void)) { F();return 0;};
extern Gatefunc xmu_CreateAviFile;
extern Gatefunc xmu_AviWriteFrame;
extern Gatefunc xmu_AviWriteEnd;
static GenericTable Tab[]={
  {(Myinterfun)sci_gateway,xmu_CreateAviFile,"CreateAviFile"},
  {(Myinterfun)sci_gateway,xmu_AviWriteFrame,"AviWriteFrame"},
  {(Myinterfun)sci_gateway,xmu_AviWriteEnd,"AviWriteEnd"},
};
 
int C2F(lib_AviFile)()
{
  Rhs = Max(0, Rhs);
  (*(Tab[Fin-1].f))(Tab[Fin-1].name,Tab[Fin-1].F);
  return 0;
}
